ADAM_2.12: Core 1.0.1 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package ds
  Definition Classes
    adam
-  package variant
  Definition Classes
    ds
- ADAMVCFOutputFormat
- DatasetBoundGenotypeDataset
- DatasetBoundVariantContextDataset
- DatasetBoundVariantDataset
- GenotypeDataset
- ParquetUnboundGenotypeDataset
- ParquetUnboundVariantDataset
- RDDBoundGenotypeDataset
- RDDBoundVariantContextDataset
- RDDBoundVariantDataset
- VCFInFormatter
- VCFOutFormatter
- VariantContextDataset
- VariantDataset

o

org.bdgenomics.adam.ds.variant

# VariantDataset 

###
Companion class VariantDataset

#### object VariantDataset extends Serializable

Linear Supertypes
Serializable, Serializable, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. VariantDataset
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def apply(ds: Dataset[Variant], sequences: SequenceDictionary, headerLines: Seq[VCFHeaderLine]): VariantDataset

   Builds a VariantDataset from a Dataset.

   Builds a VariantDataset from a Dataset.

   ds

     The underlying Variant Dataset.

   sequences

     The sequence dictionary for the genomic dataset.

   headerLines

     The header lines for the genomic dataset.

   returns

     A new VariantDataset.

5.  def apply(ds: Dataset[Variant], references: Iterable[Reference], headerLines: Seq[VCFHeaderLine]): VariantDataset

   Builds a VariantDataset from a Dataset.

   Builds a VariantDataset from a Dataset.

   ds

     The underlying Variant Dataset.

   references

     The references for the genomic dataset.

   headerLines

     The header lines for the genomic dataset.

   returns

     A new VariantDataset.

6.  def apply(ds: Dataset[Variant]): VariantDataset

   Builds a VariantDataset from a Dataset.

   Builds a VariantDataset from a Dataset.

   ds

     The underlying Variant Dataset.

   returns

     A new VariantDataset.

7.  def apply(rdd: RDD[Variant], sequences: SequenceDictionary, headerLines: Seq[VCFHeaderLine] = DefaultHeaderLines.allHeaderLines): VariantDataset

   Builds a VariantDataset from an RDD.

   Builds a VariantDataset from an RDD.

   rdd

     The underlying Variant RDD.

   sequences

     The sequence dictionary for the genomic dataset.

   headerLines

     The header lines for the genomic dataset.

   returns

     A new VariantDataset.

8.  def apply(rdd: RDD[Variant], references: Iterable[Reference], headerLines: Seq[VCFHeaderLine]): VariantDataset

   Builds a VariantDataset from an RDD.

   Builds a VariantDataset from an RDD.

   rdd

     The underlying Variant RDD.

   references

     The references for the genomic dataset.

   headerLines

     The header lines for the genomic dataset.

   returns

     A new VariantDataset.

9.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
10.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native() @HotSpotIntrinsicCandidate()
11.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
13.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
14.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
18.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
19.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
20.  def toString(): String
    Definition Classes
      AnyRef → Any
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
23.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated
   Deprecated

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped